Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Process_Mutex.h File Reference

`#include "ace/config-all.h"`
`#include "ace/Mutex.h"`
`#include "ace/Process_Mutex.inl"`

Include dependency graph for Process_Mutex.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_Process_Mutex
| A wrapper for mutexes that can be used across processes on the same host machine, as well as within a process, of course. More...

## Detailed Description

Id:
  Process_Mutex.h,v 4.15 2003/08/04 03:53:52 dhinton Exp

A wrapper for mutexes that can be used across processes on the same host machine, as well as within a process, of course.

Author:
  Douglas C. Schmidt <schmidt@uci.edu>